if (flashinstalled == 2)
{
if (flashversion)
document.write("Flash version " + flashversion + " installed.");
else
document.write("Flash installed, but I can't detect the version.");
}
else if (flashinstalled == 1) document.write("You don't have Flash installed.");
else document.write("The system was unable to determine if your device has Flash installed.");